curl --request POST \
--url https://api.trysynch.com/Company/Create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyReferenceId": "<string>",
"name": "<string>",
"emailAddress": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"zipCode": "<string>",
"city": "<string>",
"state": "<string>",
"contactNumber": "<string>",
"websiteUrl": "<string>",
"companyType": "<string>",
"owner": {
"name": "<string>",
"emailAddress": "<string>",
"contactNumber": "<string>",
"title": "<string>",
"documentNumber": "<string>",
"documentType": "<string>",
"ssn": "<string>",
"dateOfBirth": "2023-12-25",
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"zipCode": "<string>",
"city": "<string>",
"state": "<string>"
},
"employees": [
{
"name": "<string>",
"emailAddress": "<string>",
"contactNumber": "<string>",
"title": "<string>"
}
]
}
'{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Creates a new Company from the provided details
curl --request POST \
--url https://api.trysynch.com/Company/Create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyReferenceId": "<string>",
"name": "<string>",
"emailAddress": "<string>",
"taxId": "<string>",
"taxIdType": "<string>",
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"zipCode": "<string>",
"city": "<string>",
"state": "<string>",
"contactNumber": "<string>",
"websiteUrl": "<string>",
"companyType": "<string>",
"owner": {
"name": "<string>",
"emailAddress": "<string>",
"contactNumber": "<string>",
"title": "<string>",
"documentNumber": "<string>",
"documentType": "<string>",
"ssn": "<string>",
"dateOfBirth": "2023-12-25",
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"zipCode": "<string>",
"city": "<string>",
"state": "<string>"
},
"employees": [
{
"name": "<string>",
"emailAddress": "<string>",
"contactNumber": "<string>",
"title": "<string>"
}
]
}
'{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Show child attributes
Show child attributes
OK
Was this page helpful?